* {
	box-sizing: border-box; }

/* General elements. */

a, a:visited, a:hover, a:active {
	color: #FFFFFF; }
a:hover {
	color: #E0E0E0; }
a:active {
	color: #C0C0C0; }

input, button {
	font-size: 1em;
	padding: .5em;
	border: none;
	outline: none;
	background-color: #D0D0D0; }
input[type=submit]:hover,
button:hover {
	background-color: #C0C0C0; }
input[type=submit]:active,
button:active {
	background-color: #B0B0B0; }
input[type=text][disabled=true] {
	background-color: #808080; }

/* Page structure. */

html, body {
	width: 100%;
	height: 100%;
	padding: 0;
	margin: 0; }
html {
	display: table;
	font-family: Georgia, serif; }
body {
	display: table-cell;
	vertical-align: middle;
	color: white;
	background-color: #202020; }
.container {
	width: 100%;
	max-width: 600px;
	margin: 0 auto;
	padding: 10px 5px; }

.content {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	gap: .5em;
	margin-bottom: 1em; }
.content > * {
	align-self: center; }
.content > .icon {
	display: block;
	flex: 0 0 1.2em; }
.content > .icon > h1 {
	display: block;
	margin: 0;
	padding: 0;
	line-height: 0; }
.content > .icon > h1 > img {
	height: 1.2em; }
.content > input[type=text],
.content > p {
	flex: 1 0; }
.content > p.error {
	color: #808080;
	margin: 0;
	font-weight: bold;
	font-style: italic; }

.footer p {
	text-align: left;
	font-size: .8em;
	margin: 0 0 0 0; }
